Node List
List nodes using the given filters. Can be used to get a full tree. With `format=flat` and an explicit `page`, returns pages of 100 nodes ordered by creation time ascending, then ID. Filtering is applied before pagination. Without `page`, the complete flat list is returned. Tree responses remain unpaginated.
List nodes using the given filters. Can be used to get a full tree.
With format=flat and an explicit page, returns pages of 100 nodes
ordered by creation time ascending, then ID. Filtering is applied before
pagination. Without page, the complete flat list is returned. Tree
responses remain unpaginated.
storyden-session<token>q?stringSearch query string.
0 <= lengthpage?stringPagination query parameters.
node_id?stringList this node and all child nodes.
xidvisibility?array<>Filter content with specific visibility values. Note that by default, only published items are returned. When 'draft' is specified, only drafts owned by the requesting account are included. When 'review' is specified, the request will fail if the requesting account does not have the necessary permission to view in-review items.
depth?stringWhen set to a positive value, the nodes in the response will include all child nodes up to the specified depth. When set to zero, then if the request includes a node ID only that node will be returned, otherwise only top-level (root) nodes will be returned.
format?stringList format, either a tree where each item contains a children array or flat where children items contain an ID that references their parent.
"tree""tree""flat"Node list.
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integernodes*array<>curl -X GET 'https://example.com/api/nodes'{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "nodes": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "slug": "string", "current_version_id": "string", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "link": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" }, "description": "string", "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "content": "string", "owner": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "parent": {}, "hide_child_tree": true, "tags": [ { "name": "string", "colour": "string", "item_count": 0 } ], "visibility": "draft", "relevance_score": 0, "meta": {}, "recomentations": [ { "kind": "post", "ref": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "title": "string", "description": "string", "slug": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "visibility": "draft", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "reacts": [ { "id": "string", "emoji": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] } } ], "collections": { "in_collections": 0, "has_collected": true }, "likes": { "likes": 0, "liked": true }, "meta": {}, "body": "string", "body_links": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" } ] } } ], "properties": [ { "fid": "string", "name": "string", "type": "text", "value": "string", "sort": "string" } ], "child_property_schema": [ { "fid": "string", "name": "string", "type": "text", "sort": "string" } ], "children": [ {} ] } ]}